package com.jeeplus.modules.workreceiptsregister.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.utils.UserUtils;

import java.math.BigDecimal;

public class WorkReceiptsRegisterOffice extends WorkReceiptsRegisterBase {

    @ExcelField(title="部门", align=2, sort=1)
    public String getCompanyName() {
        return this.getOffice().getName();
    }

    public Double getReceiptAmt() {
        return receiptAmt;
    }
    @ExcelField(title="收款金额", align=2, sort=2)
    public String getReceiptAmtStr() {
        return UserUtils.getDecimalFormat(new BigDecimal(this.receiptAmt));
    }
}
